Name:           python-backports-unittest_mock
Version:        1.5.1
Release:        1
Summary:        Backports of unittest_mock
License:        MIT
URL:            https://github.com/jaraco/backports.unittest_mock
Source0:        https://files.pythonhosted.org/packages/source/b/backports.unittest_mock/backports.unittest_mock-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-wheel python3-mock python3-flit python3-pip

%description
Provides the function "install ()" to make the "mock" module available as "unittest.mock" in
Python 3.2 and earlier.It also advertises the pytest plugin, which automatically configures
unittest.mock.

%package        -n python3-backports-unittest_mock
Summary:        Backports of unittest_mock
%{?python_provide:%python_provide python3-backports-unittest_mock}

%description    -n python3-backports-unittest_mock
Provides the function "install ()" to make the "mock" module available as "unittest.mock" in
Python 3.2 and earlier.It also advertises the pytest plugin, which automatically configures
unittest.mock.

%prep
%autosetup -n backports.unittest_mock-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-backports-unittest_mock
%{python3_sitelib}/*

%changelog
* Thu Jul 06 2023 chenzixuan <chenzixuan@kylinos.cn> - 1.5.1-1
- Upgrade to version 1.5.1

* Tue Jun 07 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.5-1
- Upgrade to version 1.5

* Wed Aug 05 2020 lingsheng <lingsheng@huawei.com> - 1.2.1-8
- Remove python2-backports-unittest_mock subpackage

* Tue Jan 7 2020 fengbing <fengbing7@huawei.com> - 1.2.1-7
- Package init
